Package oracle.jdbc

## Interface OracleNClob

All Superinterfaces:
  `Clob`, `NClob`, `OracleClob`

All Known Implementing Classes:
  `NCLOB`

    public interface OracleNClob
    extends NClob, OracleClob

This interface extends the standard JDBC interface `NClob` and defines methods for Oracle specific NClob .

Generally any new code should avoid the direct use of the class `NCLOB`. For variable declarations use the interface `NClob` or this interface as required.

Creating temporary NClob using factory method, `Connection.createNClob()`

Since:
  11.2.0.3.0

### Method Summary

### Methods inherited from interface java.sql.Clob

`free, getAsciiStream, getCharacterStream, getCharacterStream, getSubString, length, position, position, setAsciiStream, setCharacterStream, setString, setString, truncate`

### Methods inherited from interface oracle.jdbc.OracleClob

`close, freeAsyncOracle, isEmptyLob, isOpen, isSecureFile, isTemporary, open, publisherOracle, subscriberOracle, subscriberOracle, toSQLXML, toSQLXML`